Method: organizations.boundaries.patch

Updates the displayName and resourceFilter.tag_filter.tag_value of the Boundary identified by the specified name (for example, folders/123456789/boundaries/my-boundary).

HTTP request

PATCH https://cloudresourcemanager.googleapis.com/v3/{boundary.name=organizations/*/boundaries/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
boundary.name

string

Identifier. The unique resource name of the Boundary. Format: - organizations/{organizationId}/boundaries/{boundaryId} - folders/{folder_id}/boundaries/{boundaryId} Example: folders/123456789/boundaries/my-boundary

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Boundary.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.